from typing import TypedDict


class FAIEligibilityStatus(TypedDict):
    isEligible: bool
    ftthStatus: str
    reasonNotEligible: str


class Building(TypedDict):
    x: str
    y: str
    idImm: str
    numVoieImm: str
    typeVoieImm: str
    nomVoieImm: str
    codePostal: str
    commune: str
    bat_info: str
    found_in: list[str]
    aquilenetEligStatus: FAIEligibilityStatus
    fdnEligStatus: FAIEligibilityStatus
    othersEligStatus: FAIEligibilityStatus


class AreaCoordinates(TypedDict):
    swx: float
    swy: float
    nex: float
    ney: float
